Bug 1553869 - [RFE] allow registrations to occur without blocking on task completion
Summary: [RFE] allow registrations to occur without blocking on task completion
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Registration
Version: 6.2.12
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: 6.4.0
Assignee: Jitendra Yejare
QA Contact: Jitendra Yejare
URL:
Whiteboard:
Depends On:
Blocks: 1353215 1490019
TreeView+ depends on / blocked
 
Reported: 2018-03-09 18:49 UTC by pm-sat@redhat.com
Modified: 2019-11-05 23:13 UTC (History)
22 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 1514508
Environment:
Last Closed: 2018-10-16 15:30:28 UTC
Target Upstream Version:


Attachments (Terms of Use)
Verified - Passenger Status (12.27 MB, application/octet-stream)
2018-08-09 13:02 UTC, Jitendra Yejare
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:31:52 UTC
Foreman Issue Tracker 21703 None None None 2018-03-09 18:49:41 UTC
Foreman Issue Tracker 21797 None None None 2018-03-09 18:49:41 UTC

Comment 3 Jitendra Yejare 2018-08-09 13:02:34 UTC
Created attachment 1474675 [details]
Verified - Passenger Status

Verified!

@ Satellite 6.4 snap 16


Steps:

1. Updated the pulp_concurrency to 40.
2. Attempt to register 30 clients in a loop.

Observation:

The client's registration gets processed in a few seconds that is 3-4 secs.

The mkv file is attached of verification passenger status.

Comment 5 errata-xmlrpc 2018-10-16 15:30:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.